Bug 1201181 - [abrt] yum-utils: yumRepo.py:558:check:RepoError: Cannot find a valid baseurl for repo: dummy
Summary: [abrt] yum-utils: yumRepo.py:558:check:RepoError: Cannot find a valid baseurl...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:448fff6b4cfec8ce117f8fb0381...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 09:08 UTC by Bokaldo
Modified: 2016-07-19 13:01 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:01:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.13 KB, text/plain)
2015-03-12 09:08 UTC, Bokaldo
no flags Details
File: environ (2.61 KB, text/plain)
2015-03-12 09:08 UTC, Bokaldo
no flags Details

Description Bokaldo 2015-03-12 09:08:44 UTC
Version-Release number of selected component:
yum-utils-1.1.31-27.fc22

Additional info:
reporter:       libreport-2.4.0
cmdline:        /usr/bin/python -tt /usr/bin/yum-config-manager --add-repo=http://negativo17.org/repos/fedora-steam.repo
dso_list:       yum-3.4.3-155.fc22.noarch
executable:     /usr/bin/yum-config-manager
kernel:         4.0.0-0.rc1.git0.1.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
yumRepo.py:558:check:RepoError: Cannot find a valid baseurl for repo: dummy

Traceback (most recent call last):
  File "/usr/bin/yum-config-manager", line 219, in <module>
    grabber = repo.grabfunc; del repo
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 697, in <lambda>
    grabfunc = property(lambda self: self._getgrabfunc())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 687, in _getgrabfunc
    self._setupGrab()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 631, in _setupGrab
    urls = self.urls
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 875, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 872, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 838, in _baseurlSetup
    self.check()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 558, in check
    self.ui_id, repo=self)
RepoError: Cannot find a valid baseurl for repo: dummy

Local variables in innermost frame:
self: <yum.yumRepo.YumRepository object at 0x7f937290c990>

Comment 1 Bokaldo 2015-03-12 09:08:47 UTC
Created attachment 1000874 [details]
File: backtrace

Comment 2 Bokaldo 2015-03-12 09:08:48 UTC
Created attachment 1000875 [details]
File: environ

Comment 3 Peter Hostačný 2015-09-21 11:08:36 UTC
Same traceback after running this command (I know, this repo is not for fedora, but traceback is quite ugly way, how to tell it):
$ yum-config-manager --add-repo https://copr.fedoraproject.org/coprs/psss/did/repo/epel-7/psss-did-epel-7.repo

$ rpm -qf `which yum-config-manager`
yum-utils-1.1.31-508.fc22.noarch

Comment 4 Peter Hostačný 2015-09-21 11:32:04 UTC
So wrong repo was not a problem. My yum-config-manager is printing this traceback even for "https://copr.fedoraproject.org/coprs/psss/did/repo/fedora-22/psss-did-fedora-22.repo"


Solved by using dnf instead of yum:
$ sudo dnf config-manager --add-repo https://copr.fedoraproject.org/coprs/psss/did/repo/fedora-22/psss-did-fedora-22.repo

...(REPO was successfully added)

Comment 5 Fedora End Of Life 2016-07-19 13:01:18 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.